Eigenen Software Mirror erstellen
==========

In grossen Firmen bei denen weiter über hundert Linux Betriebssysteme Online sind ist es meist einfacher wen man einen eigenen Software Mirror einrichtet als alles Online zu beziehen. Das entlastet die Internet Leitung und hat den grossen Vorteil das Updates und auch Neuinstallation weitaus schneller durchlaufen und somit die Wartungszeiten um einiges verkürzt werden.Das folgende Shell Skript erstellt einen lokalen Mirror für die Open Source Firewall IPFire, mit nur kleinen Anpassungen kann das Script aber auch für andere Betriebssysteme verwendet werden.

-------------

Logrotation
====

Damit die Logdateien nicht zu gross werden, sollten Sie Logrotate anweisen die Logdateien regelmäßig zu archivieren und nach einer gewissen Zeit zu löschen. Dazu erstellen Sie einfach die Datei /etc/logrotate.d/<MIRROR-NAME>_mirror.
```
# vim /etc/logrotate.d/<MIRROR-NAME>_mirror
```


Fügen Sie in diese Datei die folgenden Zeilen ein. Dadurch wird die Logdatei /var/log/mirror/<MIRROR-NAME>.log monatlich und die Logdatei /var/log/mirror/<MIRROR-NAME>.debug wöchentlich archiviert.
Von beiden Logdateien werden nur die letzten drei Archivdateien vorgehalten. Ältere Archive werden automatisch gelöscht.
```
/var/log/mirror/<MIRROR-NAME>.log {
    monthly
    rotate 3
    compress
    delaycompress
    missingok
    notifempty
}

/var/log/mirror/<MIRROR-NAME>.debug {
    weekly
    rotate 3
    compress
    delaycompress
    missingok
    notifempty
}
```